### Method

# AppStream Metadata parse_bytes

since: 0.14.0

#### Declaration [src]

    gboolean
    as_metadata_parse_bytes (
      AsMetadata* metad,
      GBytes* bytes,
      AsFormatKind format,
      GError** error
    )

#### Description [src]

Parses any AppStream metadata into one or more `AsComponent` instances.

Available since: 0.14.0

#### Parameters

`bytes`

  Type: `GBytes`

  Metadata describing one or more software components.

  The data is owned by the caller of the method.

`format`

  Type: `AsFormatKind`

  The format of the data (XML or YAML).

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` on success.